Package org.mariadb.jdbc.type

# Class GeometryCollection

java.lang.Object
org.mariadb.jdbc.type.GeometryCollection

All Implemented Interfaces:
  `Geometry`

public class GeometryCollection extends Object implements Geometry
Geometry collection implementation

## Constructor Summary

Constructors
Constructor
Description
`GeometryCollection(Geometry[] geometries)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`Geometry[]`
`getGeometries()`
Get objects
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GeometryCollection

public GeometryCollection(Geometry[] geometries)
Constructor

Parameters:
  `geometries` - geometry array

## Method Details

### getGeometries

public Geometry[] getGeometries()
Get objects

Returns:
  geometry array

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`